Bug 884890 - holland-mysqldump doesn't require mysql
Summary: holland-mysqldump doesn't require mysql
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: holland
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: BJ Dierkes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 23:46 UTC by Russell Harrison
Modified: 2014-12-01 21:43 UTC (History)
2 users (show)

Fixed In Version: holland-1.0.10-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-29 19:40:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Russell Harrison 2012-12-06 23:46:20 UTC
Description of problem:
The mysqldump plugin runs the /usr/bin/mysqldump command but does not list it as a dependency.

Version-Release number of selected component (if applicable):

holland-mysqldump-1.0.6-3.el6.noarch


How reproducible:

Steps to Reproduce:
1. Install on a minimal install of RHEL / Fedora
$ sudo yum install holland-mysqldump
<snip>
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch     Version              Repository              Size
================================================================================
Installing:
 holland-mysqldump   noarch   1.0.6-3.el6          epel                   105 k
Installing for dependencies:
 MySQL-python        x86_64   1.2.3-0.3.c1.1.el6   rhel-x86_64-server-6    86 k
 holland             noarch   1.0.6-3.el6          epel                   256 k
 holland-common      noarch   1.0.6-3.el6          epel                    78 k

Transaction Summary
================================================================================
Install       4 Package(s)

Total download size: 525 k
Installed size: 1.7 M
Is this ok [y/N]:
  
Actual results:

mysqldump isn't present and all backups using the provider will fail.

$ sudo yum provides /usr/bin/mysqldump

mysql-5.1.47-4.el6.x86_64 : MySQL client programs and shared libraries
Repo        : rhel-x86_64-server-6
Matched from:
Filename    : /usr/bin/mysqldump

Expected results:

The mysql package is installed as well and holland backups work properly.

Comment 1 Fedora Update System 2014-10-29 18:54:35 UTC
holland-1.0.10-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/holland-1.0.10-3.el7

Comment 2 Fedora Update System 2014-10-29 18:55:33 UTC
holland-1.0.10-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/holland-1.0.10-3.el6

Comment 3 Fedora Update System 2014-10-29 18:57:07 UTC
holland-1.0.10-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/holland-1.0.10-3.el5

Comment 4 Fedora Update System 2014-10-29 19:23:53 UTC
holland-1.0.10-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/holland-1.0.10-3.fc19

Comment 5 Fedora Update System 2014-10-29 19:24:39 UTC
holland-1.0.10-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/holland-1.0.10-3.fc20

Comment 6 Fedora Update System 2014-10-29 19:26:18 UTC
holland-1.0.10-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/holland-1.0.10-3.fc21

Comment 7 bharper 2014-10-29 19:40:55 UTC
Hello Russell,

Sorry for the long delay in updating this bug.  The updated builds fix this issue.  Thanks for submitting this bug.


-Ben

Comment 8 Fedora Update System 2014-11-14 12:02:58 UTC
holland-1.0.10-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-11-14 12:06:05 UTC
holland-1.0.10-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-11-14 12:10:26 UTC
holland-1.0.10-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-11-18 08:07:47 UTC
holland-1.0.10-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 12 Fedora Update System 2014-12-01 21:42:32 UTC
holland-1.0.10-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-01 21:43:29 UTC
holland-1.0.10-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.